//<clean=none></clean>
#ifndef fith
#define fith
#include "server.h"

struct fitvars
{
double ivdark_fitmul;
double ivlight_fitmul;
double chargedark_fitmul;
double chargelight_fitmul;
double rbi_fitmul;
double banderror_fitmul;
double muerror_fitmul;
double time_dark_mul;
double simplexmul;
double voc_tau_mul;
int fit_rbi;
int fit_time_dark;
int fit_time_light;
int fit_dark_iv;
int fit_light_iv;
int fit_light2_iv;
double light2_power;
int simplexreset;
int fitvars;
int dotimece;
int tpcmax;
int fit_dark_ce_ss;
int fit_light_ce;
int dotimecelight;
double tpc_dark_error_mull;
double tpc_light_error_mull;
int tofmax;
int cemax;
int fish_max;
int pulse_max;
int fishnp_max;
int tpv_max;
double tof_error_mull;
char fit_file[200][20];
int fit_pos[200];
int newton;
};

double get_tpv_error(struct fitvars *config,int ext);
double get_fish_error(struct fitvars *config,int ext);
double get_pulse_error(struct fitvars *config,int ext);
double get_fishnp_error(struct fitvars *config,int ext);
double get_charge_error_light(struct fitvars *config);
double get_charge_light_ss_error(struct fitvars *config);
double get_jv_error_light(struct fitvars *config);
double get_all_error(struct fitvars *myfit);
double get_charge_ss_error(struct fitvars *config);
double get_charge_error(struct fitvars *config);
double get_ce_trans_error(struct fitvars *config,int ext);
double get_tpc_error(struct fitvars *config,int ext);
double get_tail_error(struct fitvars *config);
double get_band_error(struct fitvars *config);
double get_jv_error(struct fitvars *config);
double get_voc_tau_error(struct fitvars *config);
void fit_read_config(struct fitvars *config);
double get_tof_error(struct fitvars *config,int ext);
double fit_run_sims(struct fitvars *fitconfig,struct server *myserver);

#endif
